#ifndef Boosterbpms_H
#define Boosterbpms_H

#include <QWidget>

// cumbia
#include <qulogimpl.h>
#include <cucontrolsfactorypool.h>
class CumbiaPool;
// cumbia

namespace Ui {
class Boosterbpms;
}

class Boosterbpms : public QWidget
{
    Q_OBJECT

public:
    explicit Boosterbpms(CumbiaPool *cu_p, QWidget *parent, const QString& conf, const QString& attribute, bool surfaceplot);
    ~Boosterbpms();

private slots:
    void setSources();

private:
    Ui::Boosterbpms *ui;

    // cumbia
    CumbiaPool *cu_pool;
    QuLogImpl m_log_impl;
    CuControlsFactoryPool m_ctrl_factory_pool;
    // cumbia
};

#endif // Boosterbpms_H
